package meerkat.bulletinboard;

import meerkat.crypto.Digest;
import meerkat.protobuf.BulletinBoardAPI.*;

import java.util.List;

/**
 * Created by Arbel Deutsch Peled on 18-Dec-15.
 * Extends the Digest interface with a method for digesting Batch messages
 */
public interface BatchDigest extends Digest {

    /**
     * Update the digest with the batch message data (ignore the signature)
     * @param completeBatch is the batch message that needs to be digested
     */
    public void update(CompleteBatch completeBatch);

}
