package polling_station_dashboard.search.addVoter.java;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 11/06/2016.
 * This class loads the add voter panel (which adds voters)
 */
public class AddVoterLoader {

    private static final String ADD_VOTER_FXML_PATH = "../fxml/add_voter.fxml";

    private Stage currentStage;

    public AddVoterLoader (Stage primaryStage) throws IOException
    {
        currentStage = primaryStage;
        FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource(ADD_VOTER_FXML_PATH));
        Parent root = fxmlLoader.load();
        AddVoterController controller = fxmlLoader.getController();

        Pane addEditPane = (Pane)currentStage.getScene().lookup("#AddEditPane");
        addEditPane.getChildren().add(root);
        controller.SetStage(primaryStage);
    }
}
