package uploading_to_bulletin_board.java;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 28/05/2016.
 * UploadingToBulletinBoardLoader uploads the given code to the bulletin board
 */
public class UploadingToBulletinBoardLoader {
    private static final String UPLOADING_TO_BULLETIN_BOARD_FXM_PATH = "../fxml/uploading_to_bulletin_board.fxml";

    private Stage currentStage;

    public UploadingToBulletinBoardLoader(Stage primaryStage) throws IOException
    {
        FXMLLoader fxmlLoader = new FXMLLoader(getClass().getResource(UPLOADING_TO_BULLETIN_BOARD_FXM_PATH));
        Parent root = fxmlLoader.load();
        UploadingToBulletinBoardController controller = fxmlLoader.getController();

        currentStage = primaryStage;
        currentStage.setTitle("Uploading To Bulletin Board");
        currentStage.setScene(new Scene(root, 565, 365));
        currentStage.show();

        controller.SetStage(currentStage);
    }
}
